> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Remove Variants from Tags

> Removes associations between multiple variants and multiple tags in a single request. Deletes variant-tag relationships.



## OpenAPI

````yaml /swagger/management-api.json delete /api/v1/{team_slug}/{app_slug}/variants/tags/bulk
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: This is the documentation for Public API v1
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //api.enad.io
security: []
paths:
  /api/v1/{team_slug}/{app_slug}/variants/tags/bulk:
    delete:
      tags:
        - Tags
        - Bulk
      summary: Bulk Remove Variants from Tags
      description: >-
        Removes associations between multiple variants and multiple tags in a
        single request. Deletes variant-tag relationships.
      parameters:
        - description: Team slug
          in: path
          name: team_slug
          required: true
          schema:
            type: string
        - description: App slug
          in: path
          name: app_slug
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/internal_pkg_webserver_v1.BulkModifyVariantTagsPayload
        description: Variant and tag relationships to delete
        required: true
      responses:
        '200':
          description: Variants removed from tags successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/internal_pkg_webserver_v1.OkResponseBulkRemoveVariantsFromTags
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '401':
          description: Unauthorized access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
      security:
        - BearerAuth: []
components:
  schemas:
    internal_pkg_webserver_v1.BulkModifyVariantTagsPayload:
      properties:
        items:
          items:
            $ref: >-
              #/components/schemas/internal_pkg_webserver_v1.BulkVariantTagRelationshipItem
          maxItems: 50
          type: array
      required:
        - items
      type: object
    internal_pkg_webserver_v1.OkResponseBulkRemoveVariantsFromTags:
      properties:
        data:
          $ref: >-
            #/components/schemas/internal_pkg_webserver_v1.BulkRemoveVariantsFromTagsResponse
        details:
          description: >-
            Additional contextual information about the response. Used to
            provide supplementary details beyond the main data payload, such as
            validation warnings or processing notes
          items:
            type: string
          type: array
        success:
          type: boolean
      type: object
    internal_pkg_webserver_v1.ErrorMessage:
      properties:
        details:
          items:
            type: string
          type: array
        message:
          type: string
        success:
          type: boolean
      type: object
    internal_pkg_webserver_v1.BulkVariantTagRelationshipItem:
      properties:
        tag_id:
          type: string
        variant_ids:
          items:
            type: string
          minItems: 1
          type: array
      required:
        - tag_id
        - variant_ids
      type: object
    internal_pkg_webserver_v1.BulkRemoveVariantsFromTagsResponse:
      properties:
        failed:
          items:
            $ref: >-
              #/components/schemas/internal_pkg_webserver_v1.BulkVariantTagFailedOp
          type: array
        successful:
          items:
            $ref: >-
              #/components/schemas/internal_pkg_webserver_v1.BulkVariantTagRelationshipItem
          type: array
      type: object
    internal_pkg_webserver_v1.BulkVariantTagFailedOp:
      properties:
        reason:
          type: string
        tag_id:
          type: string
        variant_id:
          type: string
      type: object

````